"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var MediaConvertClient_1 = require("./MediaConvertClient");
var AssociateCertificateCommand_1 = require("./commands/AssociateCertificateCommand");
var CancelJobCommand_1 = require("./commands/CancelJobCommand");
var CreateJobCommand_1 = require("./commands/CreateJobCommand");
var CreateJobTemplateCommand_1 = require("./commands/CreateJobTemplateCommand");
var CreatePresetCommand_1 = require("./commands/CreatePresetCommand");
var CreateQueueCommand_1 = require("./commands/CreateQueueCommand");
var DeleteJobTemplateCommand_1 = require("./commands/DeleteJobTemplateCommand");
var DeletePresetCommand_1 = require("./commands/DeletePresetCommand");
var DeleteQueueCommand_1 = require("./commands/DeleteQueueCommand");
var DescribeEndpointsCommand_1 = require("./commands/DescribeEndpointsCommand");
var DisassociateCertificateCommand_1 = require("./commands/DisassociateCertificateCommand");
var GetJobCommand_1 = require("./commands/GetJobCommand");
var GetJobTemplateCommand_1 = require("./commands/GetJobTemplateCommand");
var GetPresetCommand_1 = require("./commands/GetPresetCommand");
var GetQueueCommand_1 = require("./commands/GetQueueCommand");
var ListJobTemplatesCommand_1 = require("./commands/ListJobTemplatesCommand");
var ListJobsCommand_1 = require("./commands/ListJobsCommand");
var ListPresetsCommand_1 = require("./commands/ListPresetsCommand");
var ListQueuesCommand_1 = require("./commands/ListQueuesCommand");
var ListTagsForResourceCommand_1 = require("./commands/ListTagsForResourceCommand");
var TagResourceCommand_1 = require("./commands/TagResourceCommand");
var UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
var UpdateJobTemplateCommand_1 = require("./commands/UpdateJobTemplateCommand");
var UpdatePresetCommand_1 = require("./commands/UpdatePresetCommand");
var UpdateQueueCommand_1 = require("./commands/UpdateQueueCommand");
var MediaConvert = /** @class */ (function (_super) {
    tslib_1.__extends(MediaConvert, _super);
    function MediaConvert() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    MediaConvert.prototype.associateCertificate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new AssociateCertificateCommand_1.AssociateCertificateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaConvert.prototype.cancelJob = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CancelJobCommand_1.CancelJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaConvert.prototype.createJob = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateJobCommand_1.CreateJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaConvert.prototype.createJobTemplate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateJobTemplateCommand_1.CreateJobTemplateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaConvert.prototype.createPreset = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreatePresetCommand_1.CreatePresetCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaConvert.prototype.createQueue = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateQueueCommand_1.CreateQueueCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaConvert.prototype.deleteJobTemplate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteJobTemplateCommand_1.DeleteJobTemplateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaConvert.prototype.deletePreset = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeletePresetCommand_1.DeletePresetCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaConvert.prototype.deleteQueue = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteQueueCommand_1.DeleteQueueCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaConvert.prototype.describeEndpoints = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeEndpointsCommand_1.DescribeEndpointsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaConvert.prototype.disassociateCertificate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DisassociateCertificateCommand_1.DisassociateCertificateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaConvert.prototype.getJob = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetJobCommand_1.GetJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaConvert.prototype.getJobTemplate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetJobTemplateCommand_1.GetJobTemplateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaConvert.prototype.getPreset = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetPresetCommand_1.GetPresetCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaConvert.prototype.getQueue = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetQueueCommand_1.GetQueueCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaConvert.prototype.listJobTemplates = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListJobTemplatesCommand_1.ListJobTemplatesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaConvert.prototype.listJobs = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListJobsCommand_1.ListJobsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaConvert.prototype.listPresets = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListPresetsCommand_1.ListPresetsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaConvert.prototype.listQueues = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListQueuesCommand_1.ListQueuesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaConvert.prototype.listTagsForResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListTagsForResourceCommand_1.ListTagsForResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaConvert.prototype.tagResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new TagResourceCommand_1.TagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaConvert.prototype.untagResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UntagResourceCommand_1.UntagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaConvert.prototype.updateJobTemplate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateJobTemplateCommand_1.UpdateJobTemplateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaConvert.prototype.updatePreset = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdatePresetCommand_1.UpdatePresetCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaConvert.prototype.updateQueue = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateQueueCommand_1.UpdateQueueCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return MediaConvert;
}(MediaConvertClient_1.MediaConvertClient));
exports.MediaConvert = MediaConvert;
//# sourceMappingURL=MediaConvert.js.map