"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var AssociateCertificate_1 = require("../model/operations/AssociateCertificate");
var AssociateCertificateCommand = /** @class */ (function () {
    function AssociateCertificateCommand(input) {
        this.input = input;
        this.model = AssociateCertificate_1.AssociateCertificate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    AssociateCertificateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return AssociateCertificateCommand;
}());
exports.AssociateCertificateCommand = AssociateCertificateCommand;
//# sourceMappingURL=AssociateCertificateCommand.js.map