/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateQueueInput } from "../types/CreateQueueInput";
import { CreateQueueOutput } from "../types/CreateQueueOutput";
import { MediaConvertResolvedConfiguration } from "../MediaConvertConfiguration";
export * from "../types/CreateQueueInput";
export * from "../types/CreateQueueOutput";
export * from "../types/CreateQueueExceptionsUnion";
export declare class CreateQueueCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateQueueInput, OutputTypesUnion, CreateQueueOutput, MediaConvertResolvedConfiguration, _stream.Readable> {
    readonly input: CreateQueueInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateQueueInput, CreateQueueOutput, _stream.Readable>;
    constructor(input: CreateQueueInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MediaConvertResolvedConfiguration): __aws_sdk_types.Handler<CreateQueueInput, CreateQueueOutput>;
}
