"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateQueue_1 = require("../model/operations/CreateQueue");
var CreateQueueCommand = /** @class */ (function () {
    function CreateQueueCommand(input) {
        this.input = input;
        this.model = CreateQueue_1.CreateQueue;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateQueueCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateQueueCommand;
}());
exports.CreateQueueCommand = CreateQueueCommand;
//# sourceMappingURL=CreateQueueCommand.js.map