"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteJobTemplate_1 = require("../model/operations/DeleteJobTemplate");
var DeleteJobTemplateCommand = /** @class */ (function () {
    function DeleteJobTemplateCommand(input) {
        this.input = input;
        this.model = DeleteJobTemplate_1.DeleteJobTemplate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteJobTemplateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteJobTemplateCommand;
}());
exports.DeleteJobTemplateCommand = DeleteJobTemplateCommand;
//# sourceMappingURL=DeleteJobTemplateCommand.js.map