"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteQueue_1 = require("../model/operations/DeleteQueue");
var DeleteQueueCommand = /** @class */ (function () {
    function DeleteQueueCommand(input) {
        this.input = input;
        this.model = DeleteQueue_1.DeleteQueue;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteQueueCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteQueueCommand;
}());
exports.DeleteQueueCommand = DeleteQueueCommand;
//# sourceMappingURL=DeleteQueueCommand.js.map