"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetJob_1 = require("../model/operations/GetJob");
var GetJobCommand = /** @class */ (function () {
    function GetJobCommand(input) {
        this.input = input;
        this.model = GetJob_1.GetJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetJobCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetJobCommand;
}());
exports.GetJobCommand = GetJobCommand;
//# sourceMappingURL=GetJobCommand.js.map