/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetPresetInput } from "../types/GetPresetInput";
import { GetPresetOutput } from "../types/GetPresetOutput";
import { MediaConvertResolvedConfiguration } from "../MediaConvertConfiguration";
export * from "../types/GetPresetInput";
export * from "../types/GetPresetOutput";
export * from "../types/GetPresetExceptionsUnion";
export declare class GetPresetCommand implements __aws_sdk_types.Command<InputTypesUnion, GetPresetInput, OutputTypesUnion, GetPresetOutput, MediaConvertResolvedConfiguration, _stream.Readable> {
    readonly input: GetPresetInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetPresetInput, GetPresetOutput, _stream.Readable>;
    constructor(input: GetPresetInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MediaConvertResolvedConfiguration): __aws_sdk_types.Handler<GetPresetInput, GetPresetOutput>;
}
