/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetQueueInput } from "../types/GetQueueInput";
import { GetQueueOutput } from "../types/GetQueueOutput";
import { MediaConvertResolvedConfiguration } from "../MediaConvertConfiguration";
export * from "../types/GetQueueInput";
export * from "../types/GetQueueOutput";
export * from "../types/GetQueueExceptionsUnion";
export declare class GetQueueCommand implements __aws_sdk_types.Command<InputTypesUnion, GetQueueInput, OutputTypesUnion, GetQueueOutput, MediaConvertResolvedConfiguration, _stream.Readable> {
    readonly input: GetQueueInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetQueueInput, GetQueueOutput, _stream.Readable>;
    constructor(input: GetQueueInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MediaConvertResolvedConfiguration): __aws_sdk_types.Handler<GetQueueInput, GetQueueOutput>;
}
