"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetQueue_1 = require("../model/operations/GetQueue");
var GetQueueCommand = /** @class */ (function () {
    function GetQueueCommand(input) {
        this.input = input;
        this.model = GetQueue_1.GetQueue;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetQueueCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetQueueCommand;
}());
exports.GetQueueCommand = GetQueueCommand;
//# sourceMappingURL=GetQueueCommand.js.map