"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdatePreset_1 = require("../model/operations/UpdatePreset");
var UpdatePresetCommand = /** @class */ (function () {
    function UpdatePresetCommand(input) {
        this.input = input;
        this.model = UpdatePreset_1.UpdatePreset;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdatePresetCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdatePresetCommand;
}());
exports.UpdatePresetCommand = UpdatePresetCommand;
//# sourceMappingURL=UpdatePresetCommand.js.map