"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CancelJobInput_1 = require("../shapes/CancelJobInput");
var CancelJobOutput_1 = require("../shapes/CancelJobOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CancelJob = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CancelJob",
    http: {
        method: "DELETE",
        requestUri: "/2017-08-29/jobs/{id}"
    },
    input: {
        shape: CancelJobInput_1.CancelJobInput
    },
    output: {
        shape: CancelJobOutput_1.CancelJobOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=CancelJob.js.map