"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateQueueInput_1 = require("../shapes/CreateQueueInput");
var CreateQueueOutput_1 = require("../shapes/CreateQueueOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateQueue = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateQueue",
    http: {
        method: "POST",
        requestUri: "/2017-08-29/queues"
    },
    input: {
        shape: CreateQueueInput_1.CreateQueueInput
    },
    output: {
        shape: CreateQueueOutput_1.CreateQueueOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=CreateQueue.js.map