"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeletePresetInput_1 = require("../shapes/DeletePresetInput");
var DeletePresetOutput_1 = require("../shapes/DeletePresetOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeletePreset = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeletePreset",
    http: {
        method: "DELETE",
        requestUri: "/2017-08-29/presets/{name}"
    },
    input: {
        shape: DeletePresetInput_1.DeletePresetInput
    },
    output: {
        shape: DeletePresetOutput_1.DeletePresetOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=DeletePreset.js.map