"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetJobInput_1 = require("../shapes/GetJobInput");
var GetJobOutput_1 = require("../shapes/GetJobOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetJob = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetJob",
    http: {
        method: "GET",
        requestUri: "/2017-08-29/jobs/{id}"
    },
    input: {
        shape: GetJobInput_1.GetJobInput
    },
    output: {
        shape: GetJobOutput_1.GetJobOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=GetJob.js.map