"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetJobTemplateInput_1 = require("../shapes/GetJobTemplateInput");
var GetJobTemplateOutput_1 = require("../shapes/GetJobTemplateOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetJobTemplate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetJobTemplate",
    http: {
        method: "GET",
        requestUri: "/2017-08-29/jobTemplates/{name}"
    },
    input: {
        shape: GetJobTemplateInput_1.GetJobTemplateInput
    },
    output: {
        shape: GetJobTemplateOutput_1.GetJobTemplateOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=GetJobTemplate.js.map