"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetPresetInput_1 = require("../shapes/GetPresetInput");
var GetPresetOutput_1 = require("../shapes/GetPresetOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetPreset = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetPreset",
    http: {
        method: "GET",
        requestUri: "/2017-08-29/presets/{name}"
    },
    input: {
        shape: GetPresetInput_1.GetPresetInput
    },
    output: {
        shape: GetPresetOutput_1.GetPresetOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=GetPreset.js.map