"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetQueueInput_1 = require("../shapes/GetQueueInput");
var GetQueueOutput_1 = require("../shapes/GetQueueOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetQueue = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetQueue",
    http: {
        method: "GET",
        requestUri: "/2017-08-29/queues/{name}"
    },
    input: {
        shape: GetQueueInput_1.GetQueueInput
    },
    output: {
        shape: GetQueueOutput_1.GetQueueOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=GetQueue.js.map