"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdatePresetInput_1 = require("../shapes/UpdatePresetInput");
var UpdatePresetOutput_1 = require("../shapes/UpdatePresetOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdatePreset = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdatePreset",
    http: {
        method: "PUT",
        requestUri: "/2017-08-29/presets/{name}"
    },
    input: {
        shape: UpdatePresetInput_1.UpdatePresetInput
    },
    output: {
        shape: UpdatePresetOutput_1.UpdatePresetOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=UpdatePreset.js.map