"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _AccelerationSettings_1 = require("./_AccelerationSettings");
var _JobSettings_1 = require("./_JobSettings");
var ___mapOf__string_1 = require("./___mapOf__string");
exports.CreateJobInput = {
    type: "structure",
    required: ["Role", "Settings"],
    members: {
        AccelerationSettings: {
            shape: _AccelerationSettings_1._AccelerationSettings,
            locationName: "accelerationSettings"
        },
        BillingTagsSource: {
            shape: {
                type: "string"
            },
            locationName: "billingTagsSource"
        },
        ClientRequestToken: {
            shape: {
                type: "string"
            },
            locationName: "clientRequestToken"
        },
        JobTemplate: {
            shape: {
                type: "string"
            },
            locationName: "jobTemplate"
        },
        Priority: {
            shape: {
                type: "integer",
                min: -50
            },
            locationName: "priority"
        },
        Queue: {
            shape: {
                type: "string"
            },
            locationName: "queue"
        },
        Role: {
            shape: {
                type: "string"
            },
            locationName: "role"
        },
        Settings: {
            shape: _JobSettings_1._JobSettings,
            locationName: "settings"
        },
        StatusUpdateInterval: {
            shape: {
                type: "string"
            },
            locationName: "statusUpdateInterval"
        },
        UserMetadata: {
            shape: ___mapOf__string_1.___mapOf__string,
            locationName: "userMetadata"
        }
    }
};
//# sourceMappingURL=CreateJobInput.js.map