"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ___mapOfAudioSelectorGroup_1 = require("./___mapOfAudioSelectorGroup");
var ___mapOfAudioSelector_1 = require("./___mapOfAudioSelector");
var ___mapOfCaptionSelector_1 = require("./___mapOfCaptionSelector");
var _Rectangle_1 = require("./_Rectangle");
var _ImageInserter_1 = require("./_ImageInserter");
var ___listOfInputClipping_1 = require("./___listOfInputClipping");
var _VideoSelector_1 = require("./_VideoSelector");
exports._InputTemplate = {
    type: "structure",
    required: [],
    members: {
        AudioSelectorGroups: {
            shape: ___mapOfAudioSelectorGroup_1.___mapOfAudioSelectorGroup,
            locationName: "audioSelectorGroups"
        },
        AudioSelectors: {
            shape: ___mapOfAudioSelector_1.___mapOfAudioSelector,
            locationName: "audioSelectors"
        },
        CaptionSelectors: {
            shape: ___mapOfCaptionSelector_1.___mapOfCaptionSelector,
            locationName: "captionSelectors"
        },
        Crop: {
            shape: _Rectangle_1._Rectangle,
            locationName: "crop"
        },
        DeblockFilter: {
            shape: {
                type: "string"
            },
            locationName: "deblockFilter"
        },
        DenoiseFilter: {
            shape: {
                type: "string"
            },
            locationName: "denoiseFilter"
        },
        FilterEnable: {
            shape: {
                type: "string"
            },
            locationName: "filterEnable"
        },
        FilterStrength: {
            shape: {
                type: "integer",
                min: -5
            },
            locationName: "filterStrength"
        },
        ImageInserter: {
            shape: _ImageInserter_1._ImageInserter,
            locationName: "imageInserter"
        },
        InputClippings: {
            shape: ___listOfInputClipping_1.___listOfInputClipping,
            locationName: "inputClippings"
        },
        Position: {
            shape: _Rectangle_1._Rectangle,
            locationName: "position"
        },
        ProgramNumber: {
            shape: {
                type: "integer",
                min: 1
            },
            locationName: "programNumber"
        },
        PsiControl: {
            shape: {
                type: "string"
            },
            locationName: "psiControl"
        },
        TimecodeSource: {
            shape: {
                type: "string"
            },
            locationName: "timecodeSource"
        },
        VideoSelector: {
            shape: _VideoSelector_1._VideoSelector,
            locationName: "videoSelector"
        }
    }
};
//# sourceMappingURL=_InputTemplate.js.map