"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _AccelerationSettings_1 = require("./_AccelerationSettings");
var ___listOfOutputGroupDetail_1 = require("./___listOfOutputGroupDetail");
var _JobSettings_1 = require("./_JobSettings");
var _Timing_1 = require("./_Timing");
var ___mapOf__string_1 = require("./___mapOf__string");
exports._Job = {
    type: "structure",
    required: ["Role", "Settings"],
    members: {
        AccelerationSettings: {
            shape: _AccelerationSettings_1._AccelerationSettings,
            locationName: "accelerationSettings"
        },
        Arn: {
            shape: {
                type: "string"
            },
            locationName: "arn"
        },
        BillingTagsSource: {
            shape: {
                type: "string"
            },
            locationName: "billingTagsSource"
        },
        CreatedAt: {
            shape: {
                type: "timestamp",
                timestampFormat: "unixTimestamp"
            },
            locationName: "createdAt"
        },
        CurrentPhase: {
            shape: {
                type: "string"
            },
            locationName: "currentPhase"
        },
        ErrorCode: {
            shape: {
                type: "integer"
            },
            locationName: "errorCode"
        },
        ErrorMessage: {
            shape: {
                type: "string"
            },
            locationName: "errorMessage"
        },
        Id: {
            shape: {
                type: "string"
            },
            locationName: "id"
        },
        JobPercentComplete: {
            shape: {
                type: "integer"
            },
            locationName: "jobPercentComplete"
        },
        JobTemplate: {
            shape: {
                type: "string"
            },
            locationName: "jobTemplate"
        },
        OutputGroupDetails: {
            shape: ___listOfOutputGroupDetail_1.___listOfOutputGroupDetail,
            locationName: "outputGroupDetails"
        },
        Priority: {
            shape: {
                type: "integer",
                min: -50
            },
            locationName: "priority"
        },
        Queue: {
            shape: {
                type: "string"
            },
            locationName: "queue"
        },
        RetryCount: {
            shape: {
                type: "integer"
            },
            locationName: "retryCount"
        },
        Role: {
            shape: {
                type: "string"
            },
            locationName: "role"
        },
        Settings: {
            shape: _JobSettings_1._JobSettings,
            locationName: "settings"
        },
        Status: {
            shape: {
                type: "string"
            },
            locationName: "status"
        },
        StatusUpdateInterval: {
            shape: {
                type: "string"
            },
            locationName: "statusUpdateInterval"
        },
        Timing: {
            shape: _Timing_1._Timing,
            locationName: "timing"
        },
        UserMetadata: {
            shape: ___mapOf__string_1.___mapOf__string,
            locationName: "userMetadata"
        }
    }
};
//# sourceMappingURL=_Job.js.map