"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _AccelerationSettings_1 = require("./_AccelerationSettings");
var _JobTemplateSettings_1 = require("./_JobTemplateSettings");
exports._JobTemplate = {
    type: "structure",
    required: ["Settings", "Name"],
    members: {
        AccelerationSettings: {
            shape: _AccelerationSettings_1._AccelerationSettings,
            locationName: "accelerationSettings"
        },
        Arn: {
            shape: {
                type: "string"
            },
            locationName: "arn"
        },
        Category: {
            shape: {
                type: "string"
            },
            locationName: "category"
        },
        CreatedAt: {
            shape: {
                type: "timestamp",
                timestampFormat: "unixTimestamp"
            },
            locationName: "createdAt"
        },
        Description: {
            shape: {
                type: "string"
            },
            locationName: "description"
        },
        LastUpdated: {
            shape: {
                type: "timestamp",
                timestampFormat: "unixTimestamp"
            },
            locationName: "lastUpdated"
        },
        Name: {
            shape: {
                type: "string"
            },
            locationName: "name"
        },
        Priority: {
            shape: {
                type: "integer",
                min: -50
            },
            locationName: "priority"
        },
        Queue: {
            shape: {
                type: "string"
            },
            locationName: "queue"
        },
        Settings: {
            shape: _JobTemplateSettings_1._JobTemplateSettings,
            locationName: "settings"
        },
        StatusUpdateInterval: {
            shape: {
                type: "string"
            },
            locationName: "statusUpdateInterval"
        },
        Type: {
            shape: {
                type: "string"
            },
            locationName: "type"
        }
    }
};
//# sourceMappingURL=_JobTemplate.js.map