"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _VideoCodecSettings_1 = require("./_VideoCodecSettings");
var _Rectangle_1 = require("./_Rectangle");
var _VideoPreprocessor_1 = require("./_VideoPreprocessor");
exports._VideoDescription = {
    type: "structure",
    required: [],
    members: {
        AfdSignaling: {
            shape: {
                type: "string"
            },
            locationName: "afdSignaling"
        },
        AntiAlias: {
            shape: {
                type: "string"
            },
            locationName: "antiAlias"
        },
        CodecSettings: {
            shape: _VideoCodecSettings_1._VideoCodecSettings,
            locationName: "codecSettings"
        },
        ColorMetadata: {
            shape: {
                type: "string"
            },
            locationName: "colorMetadata"
        },
        Crop: {
            shape: _Rectangle_1._Rectangle,
            locationName: "crop"
        },
        DropFrameTimecode: {
            shape: {
                type: "string"
            },
            locationName: "dropFrameTimecode"
        },
        FixedAfd: {
            shape: {
                type: "integer"
            },
            locationName: "fixedAfd"
        },
        Height: {
            shape: {
                type: "integer",
                min: 32
            },
            locationName: "height"
        },
        Position: {
            shape: _Rectangle_1._Rectangle,
            locationName: "position"
        },
        RespondToAfd: {
            shape: {
                type: "string"
            },
            locationName: "respondToAfd"
        },
        ScalingBehavior: {
            shape: {
                type: "string"
            },
            locationName: "scalingBehavior"
        },
        Sharpness: {
            shape: {
                type: "integer"
            },
            locationName: "sharpness"
        },
        TimecodeInsertion: {
            shape: {
                type: "string"
            },
            locationName: "timecodeInsertion"
        },
        VideoPreprocessors: {
            shape: _VideoPreprocessor_1._VideoPreprocessor,
            locationName: "videoPreprocessors"
        },
        Width: {
            shape: {
                type: "integer",
                min: 32
            },
            locationName: "width"
        }
    }
};
//# sourceMappingURL=_VideoDescription.js.map